%global _hardened_build 1

Summary:        SANE backend for AirScan (eSCL) and WSD document scanners
Name:           sane-airscan
Version:        0.99.27
Release:        4%{?dist}
License:        GPLv2+ with exceptions
URL:            https://github.com/alexpevzner/sane-airscan
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make pkgconf-pkg-config
BuildRequires:  avahi-devel gnutls-devel
BuildRequires:  libjpeg-turbo-devel libpng-devel libxml2-devel
BuildRequires:  sane-backends-devel
Requires:       libsane-airscan = %{version}-%{release}

%description
This package contains a tool for discovering scanning devices in cases
when automatic discovery fails - airscan-discover.


%package -n libsane-airscan
Summary: SANE backend for eSCL or WSD

%description -n libsane-airscan
This package contain a SANE backend for MFP and document scanners that
implements either eSCL (AirScan/AirPrint scanning) or WSD "driverless"
scanning protocol.


%prep
%autosetup


%build
%make_build


%check
make check


%install
mkdir -p %{buildroot}/
%make_install STRIP=''


%files
%license COPYING LICENSE
%{_bindir}/airscan-discover
%{_mandir}/man1/airscan-discover.1*

%files -n libsane-airscan
%license COPYING LICENSE
%dir %{_sysconfdir}/sane.d
%config(noreplace) %{_sysconfdir}/sane.d/airscan.conf
%dir %{_sysconfdir}/sane.d/dll.d
%config(noreplace) %{_sysconfdir}/sane.d/dll.d/airscan
%dir %{_libdir}/sane
%{_libdir}/sane/libsane-airscan.so.1
%{_mandir}/man5/sane-airscan.5*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99.27-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99.27-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.99.27-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 07 2023 rockerzhu <rockerzhu@tencent.com> - 0.99.27-1
- Initial build
